
diff_level = c_get_diff_level()
demo_level = c_get_demo_level()
level_num = c_get_level_num()
-- c_print( "settings diff ", diff_level, " demo ", demo_level, " num ", level_num )

dofile("actor.lua")
dofile("player_all.lua")

if cur_byebye_respawn ~= nil then
	use_byebye_respawn = cur_byebye_respawn
end

if cur_blue_colour ~= nil then
	colour_tables[1] = cur_blue_colour
end
if cur_red_colour ~= nil then
	colour_tables[2] = cur_red_colour
end
if cur_yell_colour ~= nil then
	colour_tables[3] = cur_yell_colour
end
c_set_actor_hue_shift_list( colour_tables )

floor_colour = 0

dofile("floor_chooser.lua")
dofile("actor_place.lua")
dofile("beasties_all.lua")

level_time = -1
if cur_level_time ~= nil then
	level_time = cur_level_time
end
if cur_strike_game_type ~= nil then
	set_strike_game_type = cur_strike_game_type
end
if cur_num_stages ~= nil then
	set_num_stages = cur_num_stages
end
c_set_time_limit( level_time, set_strike_game_type, set_num_stages )

function everying_gameloop()
	ticker = ticker + 1
end

